- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Updates an existing Assured Workload.
The returned google.longrunning.Operation has a metadata field of type OperationMetadata and a response field of type Workload.
HTTP request
PATCH https://{endpoint}/v2/{workload.name=organizations/*/locations/*/workloads/*}
Where {endpoint} is one of the supported service endpoints.
The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
workload.name |
Identifier. The resource name of the workload. Format: |
Query parameters
| Parameters | |
|---|---|
updateMask |
Optional. The list of fields to be updated, relative to This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body contains an instance of Workload.
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/assuredworkloadshttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
assuredworkloads.workload.update
For more information, see the IAM documentation.